MySQL 5

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
Zyrus
Newbie
Newbie
Beiträge: 48
Registriert: 17. Aug 2005, 22:26
Wohnort: Hannover
Kontaktdaten:

MySQL 5

Beitrag von Zyrus » 4. Nov 2005, 01:10

Hallo,

wie kann ich mein MySQL 4.1.10a von SuSE 9.3 auf Version 5.0.15
upgraden? Gibt es irgendwo RPM-Pakete dafür? Ich hätte gern
eine Version die ich bequem per YAST upgraden kann um damit
einige Paket-Abhängigkeiten aufzulösen (die Version von der
MySQL-Homepage ist nur ein Binary, aber wenn ich die 4er Version
deinstalliere bekommt die Paketdatenbank ja nicht mit, dass eine neue
5er Version da ist).
Ich hatte mal vor längerer Zeit eine Homepage gefunden, wo
jemand MySQL 4 RPM-Pakete für SuSE 9.0 oder 9.1 gebaut hat,
nur leider finde ich heute nichts mehr.
Hat jemand einen Tipp und weis woher man RPM-Pakete für SuSE 9.3
bekommt?

Gruss, Zyrus

Werbung:

Benutzeravatar
roemi
Advanced Hacker
Advanced Hacker
Beiträge: 822
Registriert: 1. Apr 2004, 19:01
Wohnort: Hanau
Kontaktdaten:

Beitrag von roemi » 4. Nov 2005, 07:55

Willst Du überhaupt erstmal MySQL und das soll künftig updatebar (was für ein Wort ;)) sein oder hast Du MySQL und suchst eine neuere Version?

jwartenb
Member
Member
Beiträge: 72
Registriert: 27. Mär 2004, 16:43

Beitrag von jwartenb » 4. Nov 2005, 09:36

Hi,

es gibt auch RPMs: http://dev.mysql.com/downloads/mysql/5.0.html
(Weiter unten auf der Seite).
Sie lassen sich unter SuSE problemlos installieren. Beim Upgrade auf Version 5 beachten, dass einige Scripte ausgeführt werden müssen (es kommt beim Installieren der Pakete eine entsprechende Meldung). Zum Thema Upgrade gibt es aber auch viele Informationen auf der MySQL Homepage.

Gruß
Jochen

Zyrus
Newbie
Newbie
Beiträge: 48
Registriert: 17. Aug 2005, 22:26
Wohnort: Hannover
Kontaktdaten:

Beitrag von Zyrus » 4. Nov 2005, 12:28

Hallo,

also ich benutze MySQL und will die Version 5 haben wegen
z.B. Stored Procedures. Natürlich habe ich schon per google
gesucht, aber nichts gefunden (nur ältere Versionen für noch
ältere SuSE Versionen).
Auf http://dev.mysql.com/downloads/mysql/5.0.html gibt
es was für SuSE, habe ich auch gesehen, ist aber für den
SuSE Linux Enterprise Server 9.
Ich bezweifle, dass diese RPM's auch für SuSE 9.3 funktionieren,
will auch kein Risiko eingehen und es ausprobieren und mir
irgendwie mein System zu verunstalten.

Gruss, Zyrus

jwartenb
Member
Member
Beiträge: 72
Registriert: 27. Mär 2004, 16:43

Beitrag von jwartenb » 4. Nov 2005, 13:58

Hi,

ich nutze nicht die RPMs für den Enterprise Server sondern die "normalen" Linux RPMs.
Die Vor-Versionen von 5.0 haben unter 9.3 problemlos funktioniert, unter 10.0 ebenso.
Aber es stimmt: das Risiko einer Umstellung liegt bei dir.

Gruß
Jochen

Zyrus
Newbie
Newbie
Beiträge: 48
Registriert: 17. Aug 2005, 22:26
Wohnort: Hannover
Kontaktdaten:

Beitrag von Zyrus » 4. Nov 2005, 14:47

Hallo,

habe nun auch die "normalen" Linux RPM's für glibc2.3 von
http://dev.mysql.com/downloads/mysql/5.0.html installiert
und die funktionieren wirklich unter SuSE 9.3.

Gruss, Zyrus

Benutzeravatar
whois
Administrator
Administrator
Beiträge: 16598
Registriert: 11. Okt 2004, 08:50
Wohnort: Aachen
Kontaktdaten:

Beitrag von whois » 4. Nov 2005, 14:59

Freut mich :)

Dein Avantar gefällt mir :wink:

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste